TEMPLATE	= app
LANGUAGE	= C++

CONFIG	+= qt warn_on

HEADERS	+= src/VisibleForm.h \
	src/OglWidgetMain.h \
	src/all.h \
	src/structs.h \
	src/MyMalloc.h \
	src/MathObject.h \
	src/quaternion.h \
	src/QuaternionSet.h \
	src/math3D.h \
	src/OGLWidgetFloating.h \
	src/objectCurve.h \
	src/InstructionBrowser.h \
	src/OGLWidgetFloating2.h

SOURCES	+= src/main.cpp \
	src/VisibleForm.cpp \
	src/OglWidgetMain.cpp \
	src/MyMalloc.cpp \
	src/MathObject.cpp \
	src/quaternion.cpp \
	src/QuaternionSet.cpp \
	src/math3D.cpp \
	src/OGLWidgetFloating.cpp \
	src/objectCurve.cpp \
	src/InstructionBrowser.cpp \
	src/OGLWidgetFloating2.cpp

FORMS	= forms/MainForm.ui

IMAGES	= images/filenew \
	images/fileopen \
	images/filesave \
	images/print \
	images/undo \
	images/redo \
	images/editcut \
	images/editcopy \
	images/editpaste \
	images/searchfind \
	images/palette1.png \
	images/palette2.png \
	images/palette3.png \
	images/palette4.png \
	images/icon-rings.png \
	images/icon-curve.png \
	images/icon-axes.png \
	images/icon-faces.png \
	images/icon-frames.png \
	images/icon-palette.png \
	images/icon-edge.png \
	images/icon-gap.png \
	images/icon-help.png \
	images/icon-reflect.png \
	images/icon-sphere.png \
	images/icon-labels.png \
	images/icon-mesh.png \
	images/icon-comp-qw.png \
	images/icon-comp-qx.png \
	images/icon-comp-qy.png \
	images/icon-comp-qz.png \
	images/icon-surface.png \
	images/icon-app.png \
	images/icon-action-curves-from-file.png \
	images/icon-action-edit-curve.png \
	images/icon-action-knot.png \
	images/icon-action-surfaces.png \
	images/icon-correct.png \
	images/icon-stop1.png \
	images/icon-stop2.png \
	images/icon-action-click.png \
	images/icon-ctrl-view.png \
	images/icon-ctrl-color.png \
	images/icon-ctrl-quatmap.png \
	images/icon-ctrl-graph.png \
	images/icon-ctrl-set-attributes.png \
	images/icon-ctrl-quatmaprings.png

CONFIG	+= console




TARGET         = Quatmaps.win32

unix {
   UI_DIR      = .ui
   MOC_DIR     = .moc
   OBJECTS_DIR = .obj
}


